from mpi4py import MPI

from matrix_mpi import MatrixMPI as Matrix
from vector_mpi import VectorMPI as Vector

# from matrix import Matrix
# from vector import Vector

comm = MPI.COMM_WORLD
size = comm.Get_size()
rank = comm.Get_rank()

n = 10_000

A = Matrix([3], structure="diagonal", offset=0, n=n)
v = Vector([7] * n)

x = A * v

# if rank == 0:
#     print(f"ranks = {size}: x = {x}")
